// memory block in bytes; must be even by 12 and <= 1500 - 42
parameter [10:0] MEM_BYTE_SIZE = 11'd1440;
parameter [8:0]  MEM_DWORD_SIZE = MEM_BYTE_SIZE[10:2];	// divide by 4
parameter ext_clock_freq = 122880000;		// clock frequency in Hertz
parameter eth_clock_freq = ext_clock_freq / 2;
parameter slow_clock_freq = ext_clock_freq / 1024;
parameter VERSION = 8'd3;	// Be sure to change the version if it matters
// VERSION 0:  The control packet is 14 bytes from buffer byte 42 to 55, and udp_end_byte is 56.
//		The last byte at 55 is ignored but echoed.  Send a zero version and get zero echoed.
// VERSION 1:  The control packet is 22 bytes from buffer byte 42 to 63, and udp_end_byte is 64.
//		The byte at 55 is ignored on input, and the version number is returned on output.
//		The first 13 bytes are the same as in version 0.  The last 8 bytes set IO pins.
// VERSION 2:  The CIC-CIC-CIC transmit interpolation filter was replaced by a FIR-CIC-CIC
//		filter to support a wider transmit bandwidth of 22 kHz for FM and DRM.
//		A new command "Qs" was added to query the hardware status.  It returns
//		the same string as the "St" command.
// VERSION 3:  The VNA features were added in January 2012.  The receiver FIR
//		decimation filter was changed back to the version 1 filter.
